<?php
include '../ConsumoApiRicar/Conexion2.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	public function PA_ListarProductos_PorDescripcion_Codigo($buscar, $tipo)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@buscar", $buscar);
        $conn->Parametro("@tipo", $tipo);
        $data = $conn->Procedimiento("dbo.PA_ListarProductos_PorDescripcion_Codigo");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'PA_ListarProductos_PorDescripcion_Codigo':
		try{
        	$buscar = $request['buscar'];
        	$tipo = $request['tipo'];
        	$app = new Operaciones();
        	echo $app->PA_ListarProductos_PorDescripcion_Codigo($buscar, $tipo);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
}



